//
//  APIRequest.swift
//  Petstagram
//
//  Created by Jack Xiong Lim on 17/7/21.
//

import Foundation

enum HTTPMethod: String {
    case GET
    case POST
    case PUT
}

protocol APIRequest {
    associatedtype Response
    
    var method: HTTPMethod { get }
    var path: String { get }
    var body: Data? { get }
    
    func handle(response: Data) throws -> Response
    
}
